Package org.eclipse.team.core

# Interface ITeamStatus

All Superinterfaces:
  `IStatus`

All Known Implementing Classes:
  `TeamStatus`

public interface ITeamStatus extends IStatus
Defines the status codes used in the status of exceptions and errors relating to Team.

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`READ_ONLY_LOCAL`
Status code constant (value 279) indicating that the file in the file system is marked as read-only and could not be made writable.
`static final int`
`RESOURCE_SYNC_INFO_ERROR`
An error occurred trying to obtain the `SyncInfo` for a single resource.
`static final int`
`SYNC_INFO_SET_CANCELLATION`
The collection of sync info for a sync info set has been canceled so the contents do not reflect the state of the system.
`static final int`
`SYNC_INFO_SET_ERROR`
An error occurred that may affect several resources in a `SyncInfoSet`.

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

## Method Summary

Modifier and Type
Method
Description
`IResource`
`getResource()`
Return the resource associated with this status.

### Methods inherited from interface org.eclipse.core.runtime.IStatus

`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

## Field Details

### RESOURCE_SYNC_INFO_ERROR

static final int RESOURCE_SYNC_INFO_ERROR
An error occurred trying to obtain the `SyncInfo` for a single resource. The error will be cleared when the set is reset or possibly when a sync info is added to the set for the resource for which the error occurred.

See Also:
  - Constant Field Values

### SYNC_INFO_SET_ERROR

static final int SYNC_INFO_SET_ERROR
An error occurred that may affect several resources in a `SyncInfoSet`. The error will be cleared when the set is reset.

See Also:
  - Constant Field Values

### SYNC_INFO_SET_CANCELLATION

static final int SYNC_INFO_SET_CANCELLATION
The collection of sync info for a sync info set has been canceled so the contents do not reflect the state of the system. The error will be cleared when the set is reset.

See Also:
  - Constant Field Values

### READ_ONLY_LOCAL

static final int READ_ONLY_LOCAL
Status code constant (value 279) indicating that the file in the file system is marked as read-only and could not be made writable.

Since:
  3.3
See Also:
  - Constant Field Values

## Method Details

### getResource

IResource getResource()
Return the resource associated with this status.

Returns:
  Returns the resource.